openapi: 3.0.0
info:
    title: "TyrePro-API, Shop"
    version: "Version 2"
servers:
    - url: "https://musterreifen.com/api/shop"
      description: "Demo server"
    - url: "https://onlineservices.demo.rz2.prm-ag.de/O6J20ZebmghzkNgrdD759A/api/shop"
      description: "Development server"
paths:
  /AddressStates:
    get:
      tags:
      - "Configuration"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/AddressState"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /Branches:
    get:
      tags:
      - "Configuration"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/Branch"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /ColumnConfigs:
    get:
      tags:
      - "Configuration"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/ColumnConfig"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /Modules:
    get:
      tags:
      - "Configuration"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/Module"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /MaterialTypes:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/MaterialType"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /VehicleTypes:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/VehicleType"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /Widths:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      - $ref: "#/components/parameters/RequiredGuidVehicleType"
      - $ref: "#/components/parameters/GuidSection"
      - $ref: "#/components/parameters/GuidDiameter"
      - $ref: "#/components/parameters/GuidSpeedIndex"
      - $ref: "#/components/parameters/GuidLoadIndex"
      - $ref: "#/components/parameters/GuidHoleCount"
      - $ref: "#/components/parameters/GuidHoleCircle"
      - $ref: "#/components/parameters/GuidOffset"
      - $ref: "#/components/parameters/GuidHubBoreHole"
      - $ref: "#/components/parameters/GuidManufacturer"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/Width"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /Sections:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      - $ref: "#/components/parameters/RequiredGuidVehicleType"
      - $ref: "#/components/parameters/GuidWidth"
      - $ref: "#/components/parameters/GuidDiameter"
      - $ref: "#/components/parameters/GuidSpeedIndex"
      - $ref: "#/components/parameters/GuidLoadIndex"
      - $ref: "#/components/parameters/GuidHoleCount"
      - $ref: "#/components/parameters/GuidHoleCircle"
      - $ref: "#/components/parameters/GuidOffset"
      - $ref: "#/components/parameters/GuidHubBoreHole"
      - $ref: "#/components/parameters/GuidManufacturer"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/Section"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /Diameters:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      - $ref: "#/components/parameters/RequiredGuidVehicleType"
      - $ref: "#/components/parameters/GuidWidth"
      - $ref: "#/components/parameters/GuidSection"
      - $ref: "#/components/parameters/GuidSpeedIndex"
      - $ref: "#/components/parameters/GuidLoadIndex"
      - $ref: "#/components/parameters/GuidHoleCount"
      - $ref: "#/components/parameters/GuidHoleCircle"
      - $ref: "#/components/parameters/GuidOffset"
      - $ref: "#/components/parameters/GuidHubBoreHole"
      - $ref: "#/components/parameters/GuidManufacturer"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/Diameter"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /SpeedIndices:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      - $ref: "#/components/parameters/RequiredGuidVehicleType"
      - $ref: "#/components/parameters/GuidWidth"
      - $ref: "#/components/parameters/GuidSection"
      - $ref: "#/components/parameters/GuidDiameter"
      - $ref: "#/components/parameters/GuidLoadIndex"
      - $ref: "#/components/parameters/GuidHoleCount"
      - $ref: "#/components/parameters/GuidHoleCircle"
      - $ref: "#/components/parameters/GuidOffset"
      - $ref: "#/components/parameters/GuidHubBoreHole"
      - $ref: "#/components/parameters/GuidManufacturer"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/SpeedIndex"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /LoadIndices:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      - $ref: "#/components/parameters/RequiredGuidVehicleType"
      - $ref: "#/components/parameters/GuidWidth"
      - $ref: "#/components/parameters/GuidSection"
      - $ref: "#/components/parameters/GuidDiameter"
      - $ref: "#/components/parameters/GuidSpeedIndex"
      - $ref: "#/components/parameters/GuidHoleCount"
      - $ref: "#/components/parameters/GuidHoleCircle"
      - $ref: "#/components/parameters/GuidOffset"
      - $ref: "#/components/parameters/GuidHubBoreHole"
      - $ref: "#/components/parameters/GuidManufacturer"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/LoadIndex"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /HoleCounts:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      - $ref: "#/components/parameters/RequiredGuidVehicleType"
      - $ref: "#/components/parameters/GuidWidth"
      - $ref: "#/components/parameters/GuidSection"
      - $ref: "#/components/parameters/GuidDiameter"
      - $ref: "#/components/parameters/GuidSpeedIndex"
      - $ref: "#/components/parameters/GuidLoadIndex"
      - $ref: "#/components/parameters/GuidHoleCircle"
      - $ref: "#/components/parameters/GuidOffset"
      - $ref: "#/components/parameters/GuidHubBoreHole"
      - $ref: "#/components/parameters/GuidManufacturer"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/HoleCount"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /HoleCircles:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      - $ref: "#/components/parameters/RequiredGuidVehicleType"
      - $ref: "#/components/parameters/GuidWidth"
      - $ref: "#/components/parameters/GuidSection"
      - $ref: "#/components/parameters/GuidDiameter"
      - $ref: "#/components/parameters/GuidSpeedIndex"
      - $ref: "#/components/parameters/GuidLoadIndex"
      - $ref: "#/components/parameters/GuidHoleCount"
      - $ref: "#/components/parameters/GuidOffset"
      - $ref: "#/components/parameters/GuidHubBoreHole"
      - $ref: "#/components/parameters/GuidManufacturer"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/HoleCircle"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /Offsets:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      - $ref: "#/components/parameters/RequiredGuidVehicleType"
      - $ref: "#/components/parameters/GuidWidth"
      - $ref: "#/components/parameters/GuidSection"
      - $ref: "#/components/parameters/GuidDiameter"
      - $ref: "#/components/parameters/GuidSpeedIndex"
      - $ref: "#/components/parameters/GuidLoadIndex"
      - $ref: "#/components/parameters/GuidHoleCount"
      - $ref: "#/components/parameters/GuidHoleCircle"
      - $ref: "#/components/parameters/GuidHubBoreHole"
      - $ref: "#/components/parameters/GuidManufacturer"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/Offset"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /HubBoreHoles:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      - $ref: "#/components/parameters/RequiredGuidVehicleType"
      - $ref: "#/components/parameters/GuidWidth"
      - $ref: "#/components/parameters/GuidSection"
      - $ref: "#/components/parameters/GuidDiameter"
      - $ref: "#/components/parameters/GuidSpeedIndex"
      - $ref: "#/components/parameters/GuidLoadIndex"
      - $ref: "#/components/parameters/GuidHoleCount"
      - $ref: "#/components/parameters/GuidHoleCircle"
      - $ref: "#/components/parameters/GuidOffset"
      - $ref: "#/components/parameters/GuidManufacturer"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/HubBoreHole"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /Manufacturers:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      - $ref: "#/components/parameters/RequiredGuidVehicleType"
      - $ref: "#/components/parameters/GuidWidth"
      - $ref: "#/components/parameters/GuidSection"
      - $ref: "#/components/parameters/GuidDiameter"
      - $ref: "#/components/parameters/GuidSpeedIndex"
      - $ref: "#/components/parameters/GuidLoadIndex"
      - $ref: "#/components/parameters/GuidHoleCount"
      - $ref: "#/components/parameters/GuidHoleCircle"
      - $ref: "#/components/parameters/GuidOffset"
      - $ref: "#/components/parameters/GuidHubBoreHole"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/Manufacturer"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /VehicleManufacturers:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      - $ref: "#/components/parameters/RequiredGuidVehicleType"
      - $ref: "#/components/parameters/GuidVehicleDisplacement"
      - $ref: "#/components/parameters/GuidVehicleModel"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/VehicleManufacturer"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /VehicleDisplacements:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      - $ref: "#/components/parameters/RequiredGuidVehicleType"
      - $ref: "#/components/parameters/GuidVehicleManufacturer"
      - $ref: "#/components/parameters/GuidVehicleModel"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/VehicleDisplacement"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /VehicleModels:
    get:
      tags:
      - "Filters"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - $ref: "#/components/parameters/RequiredGuidMaterialType"
      - $ref: "#/components/parameters/RequiredGuidVehicleType"
      - $ref: "#/components/parameters/GuidVehicleManufacturer"
      - $ref: "#/components/parameters/GuidVehicleDisplacement"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/VehicleModel"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /Filters:
    get:
      tags:
      - "Filters"
      - "Articles"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - name: "SearchTerm"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "2055516"
      - name: "GuidMaterialType"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      - name: "GuidVehicleType"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      - $ref: "#/components/parameters/GuidWidth"
      - $ref: "#/components/parameters/GuidSection"
      - $ref: "#/components/parameters/GuidDiameter"
      - $ref: "#/components/parameters/GuidSpeedIndex"
      - $ref: "#/components/parameters/GuidLoadIndex"
      - $ref: "#/components/parameters/GuidHoleCount"
      - $ref: "#/components/parameters/GuidHoleCircle"
      - $ref: "#/components/parameters/GuidOffset"
      - $ref: "#/components/parameters/GuidHubBoreHole"
      - $ref: "#/components/parameters/GuidManufacturer"
      - $ref: "#/components/parameters/GuidVehicleManufacturer"
      - $ref: "#/components/parameters/GuidVehicleDisplacement"
      - $ref: "#/components/parameters/GuidVehicleModel"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/Filter"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
  /Articles:
    get:
      tags:
      - "Articles"
      parameters:
      - $ref: "#/components/parameters/GuidOnlineService"
      - name: "GuidBranch"
        description: "Required for providing stock information."
        in: "query"
        required: true
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      - name: "Amount"
        description: "Required for providing stock information."
        in: "query"
        required: true
        schema:
          type: "number"
          default: null
          example: 4
      - name: "SearchTerm"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "2055516"
      - name: "GuidMaterialType"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      - name: "GuidVehicleType"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      - $ref: "#/components/parameters/GuidWidth"
      - $ref: "#/components/parameters/GuidSection"
      - $ref: "#/components/parameters/GuidDiameter"
      - $ref: "#/components/parameters/GuidSpeedIndex"
      - $ref: "#/components/parameters/GuidLoadIndex"
      - $ref: "#/components/parameters/GuidHoleCount"
      - $ref: "#/components/parameters/GuidHoleCircle"
      - $ref: "#/components/parameters/GuidOffset"
      - $ref: "#/components/parameters/GuidHubBoreHole"
      - $ref: "#/components/parameters/GuidManufacturer"
      - $ref: "#/components/parameters/GuidVehicleManufacturer"
      - $ref: "#/components/parameters/GuidVehicleDisplacement"
      - $ref: "#/components/parameters/GuidVehicleModel"
      responses:
        200:
          description: "successful operation"
          content:
            application/json:
              schema:
                type: "array"
                items:
                  $ref: "#/components/schemas/Article"
        default:
          $ref: "#/components/responses/GenericError"
      security: 
      - SessionScheme: []
components:
    schemas:
        GenericError:
          type: "object"
          required:
            - "Message"
            - "Details"
          properties:
            Message:
              type: "string"
            Details:
              type: "string"
          example: 
            Message: "Ihr Anwender wurde nicht gefunden."
            Details: "Progress.Lang.AppError\n  Ihr Anwender wurde nicht gefunden.\nat sourcecode.line 123"
        AddressState:
          type: "object"
          required: 
            - "Guid"
            - "Designation"
            - "ISO2Code"
            - "ISO3Code"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
            ISO2Code:
              type: "string"
            ISO3Code:
              type: "string"
          example: 
            Guid: "ebb89e89-8d25-809e-7814-c53b686ae164"
            Designation: "Deutschland"
            ISO2Code: "DE"
            ISO3Code: "DEU"
        PostalAddress:
          type: "object"
          properties:
            Salutation:
              type: "string"
            Name1:
              type: "string"
            Name2:
              type: "string"
            Name3:
              type: "string"
            Street:
              type: "string"
            Postalcode:
              type: "string"
            Town:
              type: "string"
            Township:
              type: "string"
            GuidAddressState:
              type: "string"
          example: 
            Salutation: "Herr"
            Name1: "Max Mustermann"
            Name2: null
            Name3: null
            Street: "Musterstra�e 123"
            Postalcode: "01234"
            Town: "Musterhausen"
            Township: "Musterviertel"
            GuidAddressState: "ebb89e89-8d25-809e-7814-c53b686ae164"
        Branch:
          type: "object"
          required: 
            - "Guid"
            - "Designation"
            - "Number"
            - "IsActive"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
            Number:
              type: "integer"
            IsActive:
              type: "boolean"
            Address:
              $ref: "#/components/schemas/PostalAddress"
            EMailAddress:
              type: "string"
            PhoneNumber:
              type: "string"
            FaxNumber:
              type: "string"
            Latitude:
              type: "number"
            Longitude:
              type: "number"
          example: 
            Guid: "ebb89e89-8d25-809e-7814-c53b686ae164"
            Designation: "Zentrale"
            Number: 1
            IsActive: true
            Address: null
            EMailAddress: "info@mail.org"
            PhoneNumber: "+49123456789"
            FaxNumber: null
            Latitude: 12.34
            Longitude: 12.34
        ColumnConfig:
          type: "object"
          required:
            - "Guid"
          properties:
            Guid:
              type: "string"
            Columns:
              type: "array"
              items:
                type: "object"
                required:
                  - "Designation"
                  - "DataType"
                  - "FieldName"
                properties:
                  Designation:
                    type: "string"
                  DataType:
                    type: "string"
                    enum:
                      - "String"
                      - "Integer"
                      - "Decimal"
                      - "Boolean"
                      - "Date"
                      - "DateTime"
                  FieldName:
                    type: "string"
        Module:
          type: "object"
          required:
            - "Guid"
            - "Designation"
            - "Type"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
            Type:
              type: "string"
              enum:
                - "Search"
                - "Offers"
                - "Downloads"
                - "Link"
            LinkPath:
              type: "string"
            LinkType:
              type: "string"
              enum:
                - "NewTab"
                - "SameTab"
        MaterialType:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        VehicleType:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
            ComfortSearchSets:
              type: "array"
              items:
                type: "object"
                required:
                  - "Designation"
                  - "Type"
                properties:
                  Designation:
                    type: "string"
                  Type:
                    type: "string"
        Width:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        Section:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        Diameter:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        SpeedIndex:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        LoadIndex:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        HoleCount:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        HoleCircle:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        Offset:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        HubBoreHole:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        Manufacturer:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        VehicleManufacturer:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        VehicleDisplacement:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        VehicleModel:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
        Filter:
          type: "object"
          required:
            - "Guid"
            - "Designation"
            - "Type"
            - "Elements"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
            Type:
              type: "string"
              enum:
                - "MaterialType"
                - "VehicleType"
                - "Width"
                - "Section"
                - "Diameter"
                - "SpeedIndex"
                - "LoadIndex"
                - "HoleCount"
                - "HoleCircle"
                - "Offset"
                - "HubBoreHole"
                - "Manufacturer"
                - "VehicleManufacturer"
                - "VehicleDisplacement"
                - "VehicleModel"
            Elements:
              type: "array"
              items:
                type: "object"
                required:
                  - "Designation"
                  - "NumberOfResults"
                  - "ParameterKey"
                  - "ParameterValue"
                properties:
                  Designation:
                    type: "string"
                  NumberOfResults:
                    type: "integer"
                  ParameterKey:
                    type: "string"
                  ParameterValue:
                    type: "string"
        Article:
          type: "object"
          required:
            - "Guid"
            - "Designation"
          properties:
            Guid:
              type: "string"
            Designation:
              type: "string"
    securitySchemes:
        SessionScheme:
            type: http
            scheme: bearer
    parameters:
      _HashValue:
        name: "_HashValue"
        in: "query"
        description: "If you want to process a write operation you shall provide the hashvalue of the current view of the object you want to write to. If someone else has written something before you'll get a 412 response code."
        required: true
        schema:
          type: "string"
          default: null
          example: "f50df554352ac91635f900026860e3371a71999d"
      GuidPath:
        name: "Guid"
        in: "path"
        description: "The primary identifier of the entry (in the database)."
        required: true
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidOnlineService:
        name: "GuidOnlineService"
        in: "query"
        description: "The reference to the shop."
        required: true
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"          
      RequiredGuidMaterialType:
        name: "GuidMaterialType"
        in: "query"
        required: true
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      RequiredGuidVehicleType:
        name: "GuidVehicleType"
        in: "query"
        required: true
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidWidth:
        name: "GuidWidth"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidSection:
        name: "GuidSection"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidDiameter:
        name: "GuidDiameter"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidSpeedIndex:
        name: "GuidSpeedIndex"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidLoadIndex:
        name: "GuidLoadIndex"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidHoleCount:
        name: "GuidHoleCount"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidHoleCircle:
        name: "GuidHoleCircle"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidOffset:
        name: "GuidOffset"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidHubBoreHole:
        name: "GuidHubBoreHole"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidManufacturer:
        name: "GuidManufacturer"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidVehicleManufacturer:
        name: "GuidVehicleManufacturer"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidVehicleDisplacement:
        name: "GuidVehicleDisplacement"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
      GuidVehicleModel:
        name: "GuidVehicleModel"
        in: "query"
        required: false
        schema:
          type: "string"
          default: null
          example: "ebb89e89-8d25-809e-7814-c53b686ae164"
    responses:
      GenericError:
        description: "Unexpected error like 4XX or 5XX http errors."
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/GenericError"
